Package com.collibra.dgc.core.api.dto.workflow

# Class StartWorkflowInstancesRequest

Object
StartWorkflowInstancesRequest

All Implemented Interfaces:
  `Serializable`

public class StartWorkflowInstancesRequest extends Object implements Serializable
The properties of the workflow to be started.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `StartWorkflowInstancesRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StartWorkflowInstancesRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StartWorkflowInstancesRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `List<UUID>`
  `getBusinessItemIds()`
  The list of IDs for the business items.
  `WorkflowBusinessItemType`
  `getBusinessItemType()`
  The resource type of the passed in business items.
  `Map<String,String>`
  `getFormProperties()`
  The properties of the workflow.
  `UUID`
  `getGuestUserId()`
  Deprecated.
  This field will be removed without a replacement.
  `UUID`
  `getWorkflowDefinitionId()`
  Required. The ID of the workflow definition.
  `int`
  `hashCode()`
  `boolean`
  `isSendNotification()`
  Whether notification on starting the workflows should be sent.
  `void`
  `setBusinessItemIds(List<UUID> businessItemIds)`
  The list of IDs for the business items.
  `void`
  `setBusinessItemType(WorkflowBusinessItemType businessItemType)`
  The resource type of the passed in business items.
  `void`
  `setFormProperties(Map<String,String> formProperties)`
  The properties of the workflow.
  `void`
  `setGuestUserId(UUID guestUserId)`
  Deprecated.
  This field will be removed without a replacement.
  `void`
  `setSendNotification(boolean sendNotification)`
  Whether notification on starting the workflows should be sent.
  `void`
  `setWorkflowDefinitionId(UUID workflowDefinitionId)`
  Required. The ID of the workflow definition.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StartWorkflowInstancesRequest

    public StartWorkflowInstancesRequest()

- ## Method Details

  - ### builder

    public static StartWorkflowInstancesRequest.Builder builder()

  - ### getWorkflowDefinitionId

    public UUID getWorkflowDefinitionId()
    Required. The ID of the workflow definition.

  - ### getBusinessItemIds

    public List<UUID> getBusinessItemIds()
    The list of IDs for the business items.

  - ### getBusinessItemType

    public WorkflowBusinessItemType getBusinessItemType()
    The resource type of the passed in business items.

  - ### getFormProperties

    public Map<String,String> getFormProperties()
    The properties of the workflow.

  - ### getGuestUserId

    @Deprecated public UUID getGuestUserId()
    Deprecated.
    This field will be removed without a replacement.
    The ID of the guest user starting the workflow.

  - ### isSendNotification

    public boolean isSendNotification()
    Whether notification on starting the workflows should be sent.

  - ### setWorkflowDefinitionId

    public void setWorkflowDefinitionId(UUID workflowDefinitionId)
    Required. The ID of the workflow definition.

  - ### setBusinessItemIds

    public void setBusinessItemIds(List<UUID> businessItemIds)
    The list of IDs for the business items.

  - ### setBusinessItemType

    public void setBusinessItemType(WorkflowBusinessItemType businessItemType)
    The resource type of the passed in business items.

  - ### setFormProperties

    public void setFormProperties(Map<String,String> formProperties)
    The properties of the workflow.

  - ### setGuestUserId

    @Deprecated public void setGuestUserId(UUID guestUserId)
    Deprecated.
    This field will be removed without a replacement.
    The ID of the guest user starting the workflow.

  - ### setSendNotification

    public void setSendNotification(boolean sendNotification)
    Whether notification on starting the workflows should be sent.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`